Subject: Re: How to write a device driver in such a fashion .????

From: Misbah khan <[email-masked]>
Date: Mon, 7 Jan 2008 20:31:10 -0800 (PST)

using mmap() in application to access the h/w is only possible if  the device
memory is mapped in the kernel virtual memory how come we directly map to
the physical memory to virtual from user space ??? 

----Misbah 

Misbah khan wrote:
> 
> Hi all ....
> 
> I need your suggession to write a driver with such requirements :-
> 
> On Initiation by the application of which key is pressed driver should
> perform the task accordingly. There are 7 keys so seven different task the
> driver will perform. 
> 
> 1 . I do not want to use any entry point such as read/write/ioctl. In such
> a case how to access the driver.
> 2. We dont want to implement this as a chracrter driver.
> 3. The driver shall look pretty much like an application where in
> asscssing the H/W memory map .
> 
> Hence no entry point and no registeration but an application could be able
> to communicate ....
> 
> I need your suggession in this regard .....
> 
> -----Misbah  
> 

-- 
View this message in context: http://www.nabble.com/How-to-write-a-device-driver-in-such-a-fashion-.-----tp14660018p14682271.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.